#ifndef OBJECTS_STICK_H
#define OBJECTS_STICK_H


#include "../world.h"


class Stick: public World::Child {
public:
	const float l0;
	const float l1;
	const float length;
	const float radius;
	
private:
	b2Body *body;
	
public:
	Stick(World &world, float x, float y, float l0, float l1, float angle);
	Stick(World &world, float x0, float y0, float x1, float y1);
	~Stick();
	
	b2Body& getBody() const { return *body; }
	
	void draw() const override;
	b2Body* pickBody(double x, double y) override;
};


#endif
