#ifndef OBJECTS_STICKSTICK_H
#define OBJECTS_STICKSTICK_H


#include "stick.h"
#include "revolute.h"


class StickStick: public Revolute {
public:
	Stick &stickA;
	Stick &stickB;
	const float la;
	const float lb;
	
public:
	StickStick(Stick &stickA, Stick &stickB, float la, float lb);
	StickStick(Stick &stickA, Stick &stickB);
	~StickStick();
	
	void draw() const override;
};


#endif
